petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscViewerASCIIPushTab

Adds one more tab to the amount that PetscViewerASCIIPrintf() lines are tabbed.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPushTab(PetscViewer viewer)

Not Collective, but only first processor in set has any effect Many br

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen() Many br

Many br

### Fortran Note

This routine is not supported in Fortran. Many br

### See Also

PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), Many brPetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer() Many br

Level:developer
Location:src/sys/classes/viewer/impls/ascii/filev.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ts/examples/tutorials/ex14.c.html